- name: Add Unleash Helm chart repository
  kubernetes.core.helm_repository:
    name: unleash
    repo_url: "{{ k8s_cicd_validations_unleash_proxy_helm_chart_repo }}"

- name: Deploy Unleash Proxy
  kubernetes.core.helm:
    name: "{{ k8s_cicd_validations_unleash_proxy_name }}"
    chart_repo_url: "{{ k8s_cicd_validations_unleash_proxy_helm_chart_repo }}"
    chart_ref: "{{ k8s_cicd_validations_unleash_proxy_helm_chart }}"
    chart_version: "{{ k8s_cicd_validations_unleash_proxy_helm_chart_version }}"
    release_namespace: "{{ k8s_cicd_validations_namespace }}"
    create_namespace: true
    state: present
    values: "{{ (lookup('template', 'unleash_proxy_values.yml.j2') | from_yaml) }}"
    update_repo_cache: true

- name: Wait for Unleash Proxy container to be ready
  kubernetes.core.k8s_info:
    kind: Pod
    namespace: "{{ k8s_cicd_validations_namespace }}"
    label_selectors:
      - "app.kubernetes.io/instance=ska-cicd-validations-unleash-proxy"
  register: unleash_proxy_pods
  until: >
    unleash_proxy_pods.resources |
    selectattr('status.containerStatuses', 'defined') |
    map(attribute='status.containerStatuses') |
    map('map', attribute='ready') |
    flatten | select('equalto', true) |
    list | length > 0
  retries: 30
  delay: 5
